# QCalendarWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QCalendarWidget(QWidget parent)

### Constructor Properties

- prototype: The QCalendarWidget prototype object
- NoHorizontalHeader
- SingleLetterDayNames
- ShortDayNames
- LongDayNames
- HorizontalHeaderFormat( value )
- NoVerticalHeader
- ISOWeekNumbers
- VerticalHeaderFormat( value )
- NoSelection
- SingleSelection
- SelectionMode( value )

### Prototype Object Properties

The QCalendarWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- SortedMap dateTextFormat()
- QTextCharFormat headerTextFormat()
- int monthShown()
- void setDateTextFormat(QDate date, QTextCharFormat format)
- void setHeaderTextFormat(QTextCharFormat format)
- void setWeekdayTextFormat(DayOfWeek dayOfWeek, QTextCharFormat format)
- QTextCharFormat weekdayTextFormat(DayOfWeek dayOfWeek)
- int yearShown()

### Instance Properties

QCalendarWidget objects inherit properties from the QCalendarWidget prototype object and also have the following properties.

- selectedDate
- minimumDate
- maximumDate
- firstDayOfWeek
- gridVisible
- selectionMode
- horizontalHeaderFormat
- verticalHeaderFormat
- headerVisible
- navigationBarVisible
- dateEditEnabled
- dateEditAcceptDelay